version: "3.1"
services:
    #PHP with apache
    httpd:
      #image will be built by processing the Dockerfile in this path
      build: docker
      container_name: app_parser
      #map ports between host and the service
      ports:
        - 8080:80
        - 1080:1080
      #map host folders (relative to this file) to service
      volumes:
        - ./:/var/www
      expose:
        - "8080"
      environment:
        REDIS_HOST: ${REDIS_HOST}
        REDIS_PORT: ${REDIS_PORT}
      networks:
        - app-network

    redis:
      image: redis:4.0
      container_name: app_redis
      ports:
        - "6382:6379"
      networks:
        - app-network

networks:
  app-network:
    driver: "bridge"
